#include<string.h>
#include<stdio.h>
#include<graphics.h>
#include<conio.h>
typedef struct
   {char orszag[40];
   char nev[60];
   int nyert;
   }SPORTOLOTIP;
    SPORTOLOTIP sportolo[5];
 void main(void)
 {int Monyert=0; int d;
  int Nnyert=0, Anyert=0;
  int gd,gm;
  int max; int i;
  float arany;
 clrscr();
 puts("ping pong v‚b‚");
 puts("add meg az adatokat!");
 for(i=0;i<5;i++)
{printf("az %d.versenyz‹\n",i+1);
printf("orsz ga (magyar,n‚met,angol):");
scanf("%s",sportolo[i].orszag);
printf("\n neve:");
scanf("%s",sportolo[i].nev);
printf("\n Nyert m‚rk‹z‚sek sz ma=");
scanf("%d", sportolo[i].nyert);
}
for(i=0;i<5;i++)
{if(!strcmp(sportolo[i].orszag,"magyar"))
Monyert+=sportolo[i].nyert;
   else if(!strcmp(sportolo[i].orszag,"n‚met"))
Nnyert+=sportolo[i].nyert;
   else if(!strcmp(sportolo[i].orszag,"angol"))
Anyert+=sportolo[i].nyert;
   }
 {  printf("\n A magyar versenyz‹k ”sszesen %d meccset nyertek",Monyert);
   if(Nnyert>Anyert)max=Nnyert; else max=Anyert;
   if(max==Anyert)arany=(float)Nnyert/Anyert;else
		  arany=(float)Anyert/Nnyert;  }
getch();
detectgraph(&gd,&gm);
initgraph(&gd,&gm,""); d=(getmaxy()-20-30)/2;
  line(10,getmaxy()-30,getmaxx()-10,getmaxy()-30);
  outtextxy(getmaxx()/4,getmaxy()-15,"Angol");
  outtextxy(getmaxx()/4*3,getmaxy()-15,"N‚met");
     if(max==Anyert)
	{line(getmaxx()/4-10,getmaxy()-30,getmaxx()/4-10,20+d);
	 line(getmaxx()/4+10,getmaxy()-30,getmaxx()/4+10,20+d);
	 circle(getmaxx()/4,20+d/2,d/2);
	line(getmaxx()/4*3-10,getmaxy()-30,getmaxx()/4*3-10,getmaxy()-30-arany*Nnyert/2);
       line(getmaxx()/4*3+10,getmaxy()-30,getmaxx()/4*3+10,getmaxy()-30-arany*Nnyert/2);
	 circle(getmaxx()/4*3,getmaxy()-30-arany*1.5*d,0.5*d*arany);
	 }
	 getch();
	 closegraph();
	 }






